List plans by product
curl --request GET \
--url https://api.convexity.tools/v1/subscriptions/plans/product/{productId}import requests
url = "https://api.convexity.tools/v1/subscriptions/plans/product/{productId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.convexity.tools/v1/subscriptions/plans/product/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Plans retrieved successfully",
"data": [
{
"id": 3,
"name": "Pro",
"description": "For growing teams",
"isActive": true,
"type": "RECURRING",
"productId": 12,
"priceMonthly": 1500000,
"currency": "NGN",
"currencySign": "₦",
"currencySymbol": "NGN",
"creditRate": {
"api_call": 1
},
"planQuotas": [],
"createdBy": "admin_1",
"createdAt": "2026-01-10T08:00:00.000Z",
"updatedAt": "2026-05-02T11:20:00.000Z"
}
]
}{
"status": false,
"message": "A valid productId is required"
}Subscriptions
List plans by product
Returns the active plans for a single product. Public: no authentication required.
GET
/
v1
/
subscriptions
/
plans
/
product
/
{productId}
List plans by product
curl --request GET \
--url https://api.convexity.tools/v1/subscriptions/plans/product/{productId}import requests
url = "https://api.convexity.tools/v1/subscriptions/plans/product/{productId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.convexity.tools/v1/subscriptions/plans/product/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Plans retrieved successfully",
"data": [
{
"id": 3,
"name": "Pro",
"description": "For growing teams",
"isActive": true,
"type": "RECURRING",
"productId": 12,
"priceMonthly": 1500000,
"currency": "NGN",
"currencySign": "₦",
"currencySymbol": "NGN",
"creditRate": {
"api_call": 1
},
"planQuotas": [],
"createdBy": "admin_1",
"createdAt": "2026-01-10T08:00:00.000Z",
"updatedAt": "2026-05-02T11:20:00.000Z"
}
]
}{
"status": false,
"message": "A valid productId is required"
}Path Parameters
Positive product id to list plans for.
Response
OK
The response is of type object.
⌘I
